ocaml-tools (20120103-11) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 5.2.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Aug 2024 02:22:39 +0200

ocaml-tools (20120103-10) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.14.1

 -- Stéphane Glondu <glondu@debian.org>  Wed, 20 Sep 2023 19:47:25 +0200

ocaml-tools (20120103-9) unstable; urgency=medium

  * Team upload
  * Depend on ocaml-base-$ABI instead of ocaml-base-nox-$ABI

 -- Stéphane Glondu <glondu@debian.org>  Tue, 25 Jan 2022 22:18:44 +0100

ocaml-tools (20120103-8) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.13.1
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jan 2022 21:13:25 +0100

ocaml-tools (20120103-7) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Recompile with OCaml 4.11.1
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/rules: Use dh_prep rather than "dh_clean -k".
  * Set debhelper-compat version in Build-Depends.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Oct 2020 09:19:09 +0200

ocaml-tools (20120103-6) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.08.1
  * Update Vcs-*
  * Remove Samuel from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Nov 2019 09:37:36 +0100

ocaml-tools (20120103-5) unstable; urgency=medium

  * DH compat level 10
  * Drop obsolete version constraint on build-dependency dh-ocaml
  * Standards-version 4.1.0:
    - d/copyright: use https in copyright-format URL

 -- Ralf Treinen <treinen@debian.org>  Wed, 20 Sep 2017 08:41:40 +0200

ocaml-tools (20120103-4) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.02.3

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Oct 2015 07:43:49 +0200

ocaml-tools (20120103-3) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Recompile with OCaml 4.01.0

  [ Ralf Treinen ]
  * debian/copyright: migrate to machine-readable format 1.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Dec 2013 08:45:23 +0100

ocaml-tools (20120103-2) unstable; urgency=low

  * Fix debian/rules targets to call install before binary-indep
    (Closes: #656330)

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 18 Jan 2012 15:28:07 +0100

ocaml-tools (20120103-1) unstable; urgency=low

  [ Ralf Treinen ]
  * Fixed typo in long description (closes: #583937)

  [ Stefano Zacchiroli ]
  * remove myself from Uploaders

  [ Stéphane Glondu ]
  * Switch packaging to git

  [ Mehdi Dogguy ]
  * Add myself to Uploaders.
  * New release
    - retintroduce ocamldot since its functionality is not provided
      by ocamldoc.
  * Fix typo in README.Debian
  * Fix copyright-refers-to-deprecated-bsd-license-file
  * Bump Standards-Version to 3.9.2, no further changes required
  * Fix debian-rules-missing-recommended-target build-{arch,indep}
  * Convert to 3.0 (quilt) source format

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 04 Jan 2012 22:23:43 +0100

ocaml-tools (20090719-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * add ocaml-autoconf: autoconf macros for OCaml
    - upstream git snapshot, commit: d0ad968
  * fix vcs-svn field to point just above the debian/ dir
  * debian/control:
    - bump Standards-Version to 3.8.2 (no changes needed)
    - clean up inactive maintainers from Uploaders
    - revamp short and long descriptions
  * debian/copyright:
    - add copyright info for ocaml-autoconf
    - fix path pointing to GPL-2 (omlet's license)
    - change encoding to UTF-8
  * debian/compat: bump to 5 (minimum, non deprecated level)
  * debian/rules:
    - delegate file installation do appropriate dh_*
    - use dh_lintian to install lintian overrides

  [ Ralf Treinen ]
  * changed section to ocaml

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 19 Jul 2009 16:43:19 +0200

ocaml-tools (2007.06.24-2) unstable; urgency=low

  * Comply to the new vim policy for omlet: recommend vim-addon-manager,
    updated README.Debian, removed the debconf template, added a yaml file,
    closes: #432519.

 -- Samuel Mimram <smimram@debian.org>  Thu, 12 Jul 2007 14:02:50 +0200

ocaml-tools (2007.06.24-1) unstable; urgency=low

  [ Samuel Mimram ]
  * Correct German debconf translation which was invalid, closes: #418980.
  [ Ralf Treinen ]
  * Split off cmigrep into a package of its own.
  * Split off ocamlmakefile into a package of its own.
  * Remove ocamldot since this functionality is now provided by ocamldoc.

 -- Ralf Treinen <treinen@debian.org>  Sun, 24 Jun 2007 22:31:35 +0200

ocaml-tools (2007.02.04-2) unstable; urgency=low

  * Added German debconf translation (thanks Stefan Bauer), closes: #410547.
  * Added Japanese debconf translation (thanks Kobayashi Noritada),
    closes: #413005.
  * Added Dutch debconf translation (thanks Bart Cornelis), closes: #418394.

 -- Samuel Mimram <smimram@debian.org>  Thu,  1 Mar 2007 23:22:47 +0100

ocaml-tools (2007.02.04-1) experimental; urgency=low

  [ Samuel Mimram ]
  * Added Portugese debconf translation (thanks Ricardo Silva),
    closes: #380313.
  [Ralf Treinen ]
  * Updated upstream location and authors email for ocamlmake
  * Upgraded ocamlmake version to 6.24.5
  * Added cmigrep, version 1.1. Wrote manpage for cmigrep.

 -- Ralf Treinen <treinen@debian.org>  Mon,  5 Feb 2007 21:30:40 +0100

ocaml-tools (2006.05.15-1) unstable; urgency=low

  * New upstream release of ocaml-make: 6.21.2.
  * Rebuild with OCaml 3.09.2.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Mon, 15 May 2006 21:33:18 +0000

ocaml-tools (2005.29.04-5) unstable; urgency=low

  * Rebuild with OCaml 3.09.1.
  * Packaging is now automagically handling OCaml's ABI changes.

 -- Samuel Mimram <smimram@debian.org>  Sun,  8 Jan 2006 18:27:00 +0100

ocaml-tools (2005.29.04-4) unstable; urgency=low

  * Added Swedish debconf translation (thanks Daniel Nylander),
    closes: #331484.
  * Bumped (build-)dependency on ocaml-* to 3.09.0.
  * Lintian override for upstream changelog: drop filename.

 -- Ralf Treinen <treinen@debian.org>  Mon,  7 Nov 2005 22:44:26 +0100

ocaml-tools (2005.29.04-3) unstable; urgency=low

  [ Samuel Mimram ]
  * Added Vietnamese translation of the debconf messages (thanks Clytie
    Siddall), closes: #316500.
  * Added Czech translation of the debconf messages (thanks Martin Sin),
    closes: #310701.
  * Updated Standards-Version to 3.6.2, no changes required.
  * Checking the existence of the ocamldot directory in clean target in order
    for svn-buildpackage not to complain.

  [ Julien Cristau ]
  * Use ${misc:Depends} instead of hardcoded dependency on debconf.

 -- Samuel Mimram <smimram@debian.org>  Wed,  7 Sep 2005 18:15:42 +0200

ocaml-tools (2005.29.04-2) unstable; urgency=low

  * Added a french translation of the debconf messages (thanks Steve),
    closes: #309743.

 -- Samuel Mimram <smimram@debian.org>  Thu, 19 May 2005 18:45:13 +0200

ocaml-tools (2005.29.04-1) unstable; urgency=low

  * New upstream release of OCamlMakefile (6.20.0).
  * New upstream release of omlet (0.13).
  * Not using omlet by default anymore, added a debconf question for that and
    a note in the README.Debian, closes: #304883.

 -- Samuel Mimram <smimram@debian.org>  Fri, 29 Apr 2005 13:54:37 +0200

ocaml-tools (2005.25.03-1) unstable; urgency=low

  * New upstream release of omlet (0.12).
  * Added a patch for omlet to override the default OCaml mode.

 -- Samuel Mimram <smimram@debian.org>  Fri, 25 Mar 2005 17:45:43 +0100

ocaml-tools (2005.03.02-2) unstable; urgency=medium

  * Updated to OCaml 3.08.3.

 -- Samuel Mimram <smimram@debian.org>  Tue, 22 Mar 2005 18:56:14 +0100

ocaml-tools (2005.03.02-1) unstable; urgency=low

  * New upstream version 6.19.0 of OCamlMakefile.
  * Added omlet indentation mode for OCaml files in vim (modified the
    Description accordingly and added vim and otags to Suggests).
  * Updated Standards-Version to 3.6.1.1.
  * Added myself to the Uploaders.

 -- Samuel Mimram <smimram@debian.org>  Wed,  2 Mar 2005 12:07:52 +0100

ocaml-tools (2004.08.22-1) unstable; urgency=low

  * New upstream version 6.18.0 of OcamlMakefile. This upstream release
    fixes a bug concerning the use of the CPPFLAGS variable. Thanks to
    Julien Cristau for the patch! (closes: #264413)
  * Install gtk example.
  * Removed useless patch 02_ocamlmake-incpath

 -- Ralf Treinen <treinen@debian.org>  Sun, 22 Aug 2004 17:07:20 +0200

ocaml-tools (2004.07.26-1) unstable; urgency=low

  * New upstream version 6.17.0 of OcamlMakefile
  * Rebuild for OCaml version 3.08
  * Refine (build-)dependencieson ocaml to nox packages
  * Adapted patch 02_ocamlmake-incpath to ocaml 3.08 and this version of
    OcamlMakefile
  * Added a lintian overide for the name of the OcamlMakefile upstream
    changelog file

 -- Ralf Treinen <treinen@debian.org>  Tue, 27 Jul 2004 00:10:26 +0200

ocaml-tools (2004.04.27-1) unstable; urgency=low

  * New upstream version 6.7.0 of OcamlMakefile. This upstream version
    - uses -fPIC -DPIC for compilation of C programs for inclusion in
      shared libraries (closes: #245171).
    - fixes a bug with "-passopt" which occured with the pabc target
      (closes: #242968).

 -- Ralf Treinen <treinen@debian.org>  Tue, 27 Apr 2004 20:02:43 +0200

ocaml-tools (2004.04.25-1) unstable; urgency=low

  * New upstream version 6.6.0 of OCamlMakefile. This upstream version
    fixes a bug with options passed to ocamldoc (closes: #243596).

 -- Ralf Treinen <treinen@debian.org>  Mon, 26 Apr 2004 00:01:27 +0200

ocaml-tools (2004.04.10-1) unstable; urgency=low

  * New upstream version 6.3.0 of OCamlMakefile.
  * 02_ocamlmake-incpath.dpatch: adapted directory name of ocaml-make to 6.3.0

 -- Ralf Treinen <treinen@debian.org>  Sun, 11 Apr 2004 14:22:53 +0200

ocaml-tools (2004.03.18-1) unstable; urgency=low

  * OCamlMakefile: new upstream: do not look anymore for
    dependency into the system library (Closes: #238257).
  * Change URL in copyright file, (Closes: #235720).

 -- Remi Vanicat <vanicat@debian.org>  Thu, 18 Mar 2004 17:34:32 +0100

ocaml-tools (2003.10.03-1) unstable; urgency=low

  * Standards-Version 3.6.1 (no change).
  * Build with ocaml-3.07.
  * Patch 02_ocamldot_incpath: path /usr/include/ocaml/3.07

 -- Ralf Treinen <treinen@debian.org>  Fri,  3 Oct 2003 21:54:07 +0200

ocaml-tools (2003.04.24-3) unstable; urgency=low

  * Standards-Version 3.5.10
  * Move to the dpatch system:
    - Add build-dependency on dpatch
    - Create directory debian/patches, put patch
      01_ocamldot-manpage.dpatch there
    - debian/rules: include dpatch.make, have ocamldot/ocamldot depend on
      patch, and clean depend on unpatch
  * debian/rules: determine automatically the value of OMAKESRC
  * OCamlMakefile: add /usr/include/ocaml/3.06 to INCDIRS

 -- Ralf Treinen <treinen@debian.org>  Mon, 30 Jun 2003 22:09:24 +0200

ocaml-tools (2003.04.24-2) unstable; urgency=low

  * Changed the Maintainer field to "Debian Ocaml Maintainers", added an
    Uploaders field with entries Sven Luther, Jerome Marant, Ralf Treinen,
    Remi Vanicat, Stefano Zacchiroli.
  * Move the setting of DH_COMPAT from debian/rules into debian/compat.

 -- Ralf Treinen <treinen@debian.org>  Thu, 22 May 2003 23:56:34 +0200

ocaml-tools (2003.04.24-1) unstable; urgency=low

  * New upstream release (closes: Bug#189063).
  * Standards-Version 3.5.9.
  * Removed dependency on debconf, since no longer used.
  * debian/rules: replaced build-stamp target by ocamldot/ocamldot.

 -- Ralf Treinen <treinen@debian.org>  Thu, 24 Apr 2003 20:32:48 +0200

ocaml-tools (2002.10.04-2) unstable; urgency=low

  * Recompiled with ocaml 3.06-13. Depends on
    ocaml-base-3.06-1. Build-depends on ocaml-3.06.1.
  * DH_COMPAT=4, build-depends on debhelper >= 4.0
  * Standards-Version 3.5.8.

 -- Ralf Treinen <treinen@debian.org>  Mon, 16 Dec 2002 20:50:19 +0100

ocaml-tools (2002.10.04-1) unstable; urgency=low

  * New upstream release of OcamlMakefile (4.24.0).
  * Changed (build)-dependency to ocaml >= 3.06 & << 3.07, since future
    versions of ocaml are not guaranteed to work on 3.06 bytecode.

 -- Ralf Treinen <treinen@debian.org>  Fri,  4 Oct 2002 20:37:34 +0200

ocaml-tools (2002.08.06-2) unstable; urgency=low

  * Recompiled for ocaml 3.06 (closes: Bug#159011). Set Build-dependency on
    ocaml, and dependency on ocaml-base to >= 3.06.

 -- Ralf Treinen <treinen@debian.org>  Sun,  1 Sep 2002 17:31:18 +0200

ocaml-tools (2002.08.06-1) unstable; urgency=low

  * New upstream release of the autoconfig files (files as of 2002/08/05)
    and of ocamlmake (4.9.13). This version of ocamlmake sets
    .DELETE_ON_ERROR, as suggested (thanks!) by Tim Freeman
    <tim@fungible.com> (closes: bug#155343).
 -- Ralf Treinen <treinen@debian.org>  Wed,  7 Aug 2002 00:04:20 +0200

ocaml-tools (2002.02.11-1) unstable; urgency=low

  * Change version numbering scheme to date.
  * Create an orig.tar.gz such that the package is no longer a native debian
    package, which it never should have been.
  * New upstream version of ocamlmake, ocamldot and autoconf files.
  * Removed the docbase stuff with the warning about tuareg mode being
    in its own package. This shouldn't be necessary any longer.
    This make the wishlist bugs about translations of the debconf
    template obsolete (closes: Bug#117191, closes: Bug#132508).
  * Removed debian/ocamldot.1 since upstream has incorporated our manpage.
    Install the upstream man page.
  * Changed build dependency from debhelper >> 2.00 to >> 3.0.0.
  * Changed dependency on ocaml to ocaml-base.
  * Ocaml_makefile: install new example dir "camlp4".
  * Removed the configure target from debian/rules since it is useless.
  * Compile for ocaml 3.04, depends ocaml-base >= 3.04,
    build-depends ocaml >= 3.04.
  * Put /usr/share/doc/examples.ocamlmake/{idl,calc}/README.
  * Add a note to /usr/share/doc/ocaml-tools/README.ocamldot about
    availability of graphviz on a debian system.

 -- Ralf Treinen <treinen@debian.org>  Tue, 12 Feb 2002 23:19:40 +0100

ocaml-tools (1.1-3) unstable; urgency=low

  * removed tuareg mode from this package which now has its own package.
    This entails removal of READEM.Debian since it was only about the
    tuareg mode. Added a debconf script to display an according message.
  * Added Enhances: ocaml
  * Removed Dependency on ocaml << 3.0, ocaml >= 3.02 ist enough.

 -- Ralf Treinen <treinen@debian.org>  Sat, 20 Oct 2001 14:34:11 +0200

ocaml-tools (1.1-2) unstable; urgency=low

  * replaced "Suggests: emacs" by "emacsen" (closes: Bug#109582)

 -- Ralf Treinen <treinen@debian.org>  Wed, 22 Aug 2001 13:25:51 +0200

ocaml-tools (1.1-1) unstable; urgency=low

  * updated ocaml_make to upstream version 2.2-10
  * compiled for ocaml 3.02
  * Standards_Version: 3.5.6.0, DH_COMPAT=3
  * customization of ocaml_make by sed calls from rules

 -- Ralf Treinen <treinen@debian.org>  Sun,  5 Aug 2001 19:52:44 +0200

ocaml-tools (1.0-2) unstable; urgency=low

  * added Build-Dependency on ocaml
  * Dependency on ocaml: strenghened to >= 3.01, << 3.02 since the
    byte-code compiled ocamldot has to run on 3.01 (thanks: Sven Luther)

 --  Ralf Treinen <treinen@debian.org>  Fri,  6 Apr 2001 18:12:53 +0200

ocaml-tools (1.0-1) unstable; urgency=low

  * Initial upload (Closes Bug#90959)
  * Upstream versions:
    - tuareg: 1.38.5
    - ocamlmakefile: 2.2.8
    - configure.in/Makefile.in: 2001/03/24
    - ocamldot: 2001/03/26

 -- Ralf Treinen <treinen@debian.org>  Sat, 24 Mar 2001 18:49:15 +0100
